# InstructType

Instruction format type


## Values

| Name            | Value           |
| --------------- | --------------- |
| `NONE`          | none            |
| `AIROBOROS`     | airoboros       |
| `ALPACA`        | alpaca          |
| `ALPACA_MODIF`  | alpaca-modif    |
| `CHATML`        | chatml          |
| `CLAUDE`        | claude          |
| `CODE_LLAMA`    | code-llama      |
| `GEMMA`         | gemma           |
| `LLAMA2`        | llama2          |
| `LLAMA3`        | llama3          |
| `MISTRAL`       | mistral         |
| `NEMOTRON`      | nemotron        |
| `NEURAL`        | neural          |
| `OPENCHAT`      | openchat        |
| `PHI3`          | phi3            |
| `RWKV`          | rwkv            |
| `VICUNA`        | vicuna          |
| `ZEPHYR`        | zephyr          |
| `DEEPSEEK_R1`   | deepseek-r1     |
| `DEEPSEEK_V3_1` | deepseek-v3.1   |
| `QWQ`           | qwq             |
| `QWEN3`         | qwen3           |